net.sf.jasperreports.components.table.fill

## Class TableSubreport

- java.lang.Object
- - net.sf.jasperreports.engine.ElementDecorator
  - - net.sf.jasperreports.components.table.fill.TableSubreport

- All Implemented Interfaces:
    java.lang.Cloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRSubreport, JRVisitable

      public class TableSubreport
      extends ElementDecorator
      implements JRSubreport

  Version:
    $Id: TableSubreport.java 7070 2014-04-30 14:46:08Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableSubreport(JRDatasetRun datasetRun, JRComponentElement componentElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getConnectionExpression()`
    `JRExpression` | `getDataSourceExpression()`
    `JRExpression` | `getExpression()`
    `OverflowType` | `getOverflowType()`
    `JRSubreportParameter[]` | `getParameters()`
    `JRExpression` | `getParametersMapExpression()`
    `JRSubreportReturnValue[]` | `getReturnValues()` Returns the list of subreport copied values.
    `java.lang.Boolean` | `getUsingCache()` Indicates if the engine is loading the current subreport from cache.
    `java.lang.Boolean` | `isOwnUsingCache()` Deprecated. Replaced by `getUsingCache()`.
    `java.lang.Boolean` | `isRunToBottom()` Specifies whether the subreport element will consume the entire vertical space available on the report page.
    `boolean` | `isUsingCache()` Deprecated. Replaced by `getUsingCache()`.
    `void` | `setOverflowType(OverflowType overflowType)`
    `void` | `setRunToBottom(java.lang.Boolean runToBottom)` Sets the flag that Specifies whether the subreport element will consume the entire vertical space available on the report page.
    `void` | `setUsingCache(java.lang.Boolean isUsingCache)` Specifies if the engine should be loading the current subreport from cache.

    - ### Methods inherited from class net.sf.jasperreports.engine.ElementDecorator

      `clone, clone, clone, collectExpressions, getBackcolor, getDefaultStyleProvider, getElementGroup, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setMode, setMode, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Constructor Detail

    - #### TableSubreport

          public TableSubreport(JRDatasetRun datasetRun,
                        JRComponentElement componentElement)

  - ### Method Detail

    - #### getConnectionExpression

          public JRExpression getConnectionExpression()

      Specified by:
        `getConnectionExpression` in interface `JRSubreport`

    - #### getDataSourceExpression

          public JRExpression getDataSourceExpression()

      Specified by:
        `getDataSourceExpression` in interface `JRSubreport`

    - #### getExpression

          public JRExpression getExpression()

      Specified by:
        `getExpression` in interface `JRSubreport`

    - #### getParameters

          public JRSubreportParameter[] getParameters()

      Specified by:
        `getParameters` in interface `JRSubreport`

    - #### getParametersMapExpression

          public JRExpression getParametersMapExpression()

      Specified by:
        `getParametersMapExpression` in interface `JRSubreport`

    - #### getReturnValues

          public JRSubreportReturnValue[] getReturnValues()

      Description copied from interface: `JRSubreport`
      Returns the list of subreport copied values.
      Specified by:
        `getReturnValues` in interface `JRSubreport`
      Returns:
        the list of subreport copied values.

    - #### isOwnUsingCache

          public java.lang.Boolean isOwnUsingCache()

      Deprecated. Replaced by `getUsingCache()`.
      Description copied from interface: `JRSubreport`
      Indicates if the engine is loading the current subreport from cache. Implementations of this method return the actual value for the internal flag that was explicitly set on this subreport.
      Specified by:
        `isOwnUsingCache` in interface `JRSubreport`
      Returns:
        Boolean.TRUE if the subreport should be loaded from cache, Boolean.FALSE otherwise or null in case the flag was never explicitly set on this subreport element

    - #### getUsingCache

          public java.lang.Boolean getUsingCache()

      Description copied from interface: `JRSubreport`
      Indicates if the engine is loading the current subreport from cache. Implementations of this method return the actual value for the internal flag that was explicitly set on this subreport.
      Specified by:
        `getUsingCache` in interface `JRSubreport`
      Returns:
        Boolean.TRUE if the subreport should be loaded from cache, Boolean.FALSE otherwise or null in case the flag was never explicitly set on this subreport element

    - #### isRunToBottom

          public java.lang.Boolean isRunToBottom()

      Description copied from interface: `JRSubreport`
      Specifies whether the subreport element will consume the entire vertical space available on the report page.
      Specified by:
        `isRunToBottom` in interface `JRSubreport`
      Returns:
        whether the subreport element will consume the entire space down to the bottom of the page
      See Also:
        `JRSubreport.setRunToBottom(Boolean)`

    - #### isUsingCache

          public boolean isUsingCache()

      Deprecated. Replaced by `getUsingCache()`.
      Description copied from interface: `JRSubreport`
      Indicates if the engine is loading the current subreport from cache. Implementations of this method rely on default values that depend on the type of the subreport expression if a value was not explicitly set of this flag.
      Specified by:
        `isUsingCache` in interface `JRSubreport`
      Returns:
        true if the subreport should be loaded from cache, false otherwise

    - #### setRunToBottom

          public void setRunToBottom(java.lang.Boolean runToBottom)

      Description copied from interface: `JRSubreport`
      Sets the flag that Specifies whether the subreport element will consume the entire vertical space available on the report page.

      This flag should be set to `true` if the subreport needs to always print its column and page footers at the bottom of the report page, even when the subreport data does not stretch to the bottom.

      Note that when `isFloatColumnFooter` is set for the subreport, the column footers will not be printed at the bottom of the page even if this flag is set.

      Specified by:
        `setRunToBottom` in interface `JRSubreport`
      Parameters:
        `runToBottom` - whether the subreport element will consume the entire space down to the bottom of the page

    - #### setUsingCache

          public void setUsingCache(java.lang.Boolean isUsingCache)

      Description copied from interface: `JRSubreport`
      Specifies if the engine should be loading the current subreport from cache. If set to Boolean.TRUE, the reporting engine will try to recognize previously loaded subreports using their specified source. For example, it will recognize an subreport if the subreport source is a file name that it has already loaded, or if it is the same URL.

      If set to null, the engine will rely on some default value which depends on the type of the subreport expression. The cache is turned on by default only for subreports that have `java.lang.String` objects in their expressions.

      Specified by:
        `setUsingCache` in interface `JRSubreport`

    - #### getOverflowType

          public OverflowType getOverflowType()

      Specified by:
        `getOverflowType` in interface `JRSubreport`

    - #### setOverflowType

          public void setOverflowType(OverflowType overflowType)

      Specified by:
        `setOverflowType` in interface `JRSubreport`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com